using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace FolderBrowserDesktop
{
    public class FolderDialog : IDisposable
    {
        private FolderBrowserDialog ofd;

        // constructor
        public FolderDialog()
        {
            ofd = new FolderBrowserDialog();
        }


        // Methods
        public void Dispose()
        {
            if (ofd != null)
            {
                ofd.Dispose();
            }
        }

        public string GetFolder()
        {
            return ofd.SelectedPath;
        }

        public int Show()
        {
            return (int)ofd.ShowDialog();
        }

        // Properties
        public FolderBrowserDialog ControlRef
        { get { return ofd; } }

        // ApplicationData = 0x1a,
        // CommonApplicationData = 0x23
        // CommonProgramFiles = 0x2b,
        // Cookies = 0x21,
        // Desktop = 0,
        // DesktopDirectory = 0x10,
        // Favorites = 6,
        // History = 0x22,
        // InternetCache = 0x20,
        // LocalApplicationData = 0x1c,
        // MyComputer = 0x11,
        // MyDocuments = 5,
        // MyMusic = 13,
        // MyPictures = 0x27,
        // Personal = 5,
        // ProgramFiles = 0x26,
        // Programs = 2,
        // Recent = 8,
        // SendTo = 9,
        // StartMenu = 11,
        // Startup = 7,
        // System = 0x25,
        // Templates = 0x15 
        public int RootFolder
        { get { return (int)ofd.RootFolder; } set { ofd.RootFolder = (Environment.SpecialFolder)value; } }

        public bool ShowNewFolderButton
        { get { return ofd.ShowNewFolderButton; } set { ofd.ShowNewFolderButton = value; } }

    }
}
